aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ucpp/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2015-02-03 11:11:43 +0000
committerTimo Teräs <timo.teras@iki.fi>2015-02-03 17:29:18 +0000
commit51876205d5bfa849b54cd61e86d777b64a5667d4 (patch)
treead5db0042eb5ac064f0680485462074681fe8258 /testing/ucpp/APKBUILD
parent6a4913a0b651b79ce739fc4f726a4e6d07497280 (diff)
downloadaports-51876205d5bfa849b54cd61e86d777b64a5667d4.tar.gz
aports-51876205d5bfa849b54cd61e86d777b64a5667d4.tar.bz2
aports-51876205d5bfa849b54cd61e86d777b64a5667d4.tar.xz
testing/ucpp: new aport
C preprocessor which is embeddable, quick, light and C99 compliant https://code.google.com/p/ucpp/
Diffstat (limited to 'testing/ucpp/APKBUILD')
-rw-r--r--testing/ucpp/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/ucpp/APKBUILD b/testing/ucpp/APKBUILD
new file mode 100644
index 0000000000..51436cdf8a
--- /dev/null
+++ b/testing/ucpp/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=ucpp
+pkgver=1.3.2
+pkgrel=0
+pkgdesc="C preprocessor which is embeddable, quick, light and C99 compliant"
+url="https://code.google.com/p/ucpp/"
+arch="all"
+license="BSD"
+depends=""
+makedepends=""
+install=""
+subpackages=""
+source="https://ucpp.googlecode.com/files/ucpp-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/ucpp
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -dm755 "$pkgdir"/usr/bin
+ install -m755 ucpp "$pkgdir"/usr/bin/
+}
+
+md5sums="7b3f0d9381fd8518ae895a66235936d1 ucpp-1.3.2.tar.bz2"
+sha256sums="ab7ecc5ba2c2617fa14cd0a939c1e87ed789c59767fb39fc9b7d0ebf63a81635 ucpp-1.3.2.tar.bz2"
+sha512sums="a8a22162c0e26bc8281928f921f4e531108ba02658fd9c7a1760ae2fe938c910215aa4db02e5c7f0c5ea1aa66d89157bc780f2f13c57fa603de6c2d0c48cfd32 ucpp-1.3.2.tar.bz2"